Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxvisual.c File Reference

`#include "dmx.h"`
`#include "dmxvisual.h"`
`#include "scrnintstr.h"`

## Functions
Visual * | dmxLookupVisual (ScreenPtr pScreen, VisualPtr pVisual)
Visual * | dmxLookupVisualFromID (ScreenPtr pScreen, VisualID vid)
Colormap | dmxColormapFromDefaultVisual (ScreenPtr pScreen, Visual *visual)

## Detailed Description

This file provides support for visuals.

## Function Documentation

Colormap dmxColormapFromDefaultVisual | ( | ScreenPtr | pScreen,
|  | Visual * | visual
| ) |

| Return the colormap for the visual.

Visual* dmxLookupVisual | ( | ScreenPtr | pScreen,
|  | VisualPtr | pVisual
| ) |

| Return the visual that matched pVisual.

Visual* dmxLookupVisualFromID | ( | ScreenPtr | pScreen,
|  | VisualID | vid
| ) |

| Return the visual that matched the vid.